#
# spec file for package perl-Software-License
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Software-License
Name:           perl-Software-License
Version:        0.104006
Release:        1.2
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Packages that provide templated software licenses
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/L/LE/LEONT/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Data::Section)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.78
BuildRequires:  perl(Module::Load)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Text::Template)
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(parent)
Requires:       perl(Data::Section)
Requires:       perl(Module::Load)
Requires:       perl(Text::Template)
Requires:       perl(parent)
%{perl_requires}

%description
packages that provide templated software licenses

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Sat Feb 10 2024 Tina Müller <timueller+perl@suse.de>
- updated to 0.104006
  see /usr/share/doc/packages/perl-Software-License/Changes
  0.104006  2024-02-09 23:53:52+01:00 Europe/Brussels
  - use valid SPDX identifier for BSD license
  - Undefine SSLeay spdx expression
  - Update URL to SSLeay license
* Wed Nov 22 2023 Tina Müller <timueller+perl@suse.de>
- updated to 0.104005
  see /usr/share/doc/packages/perl-Software-License/Changes
  0.104005  2023-11-20 21:09:56-05:00 America/New_York
  - require perl v5.12.0, which was already effectively required because
    of upstream libraries
  - update author metadata
* Wed May 24 2023 Tina Müller <timueller+perl@suse.de>
- updated to 0.104004
  see /usr/share/doc/packages/perl-Software-License/Changes
  0.104004  2023-05-24 02:28:55+02:00 Europe/Amsterdam
  - Rename Perl Artistic License to avoid confusion in detecting license
  0.104003  2023-05-19 12:50:19+02:00 Europe/Amsterdam
  - Add Artistic 1.0 Perl license and make Perl license use it
  - Remove extra "59" from LGPL-2.1
* Wed Jun 15 2022 Tina Müller <timueller+perl@suse.de>
- updated to 0.104002
  see /usr/share/doc/packages/perl-Software-License/Changes
  0.104002  2022-06-14 23:44:29+02:00 Europe/Amsterdam
  - Add support for ISC license
  - Add guesser for Apache license and no license
* Tue Aug  3 2021 Tina Müller <timueller+perl@suse.de>
- updated to 0.104001
  see /usr/share/doc/packages/perl-Software-License/Changes
  0.104001  2021-08-02 09:33:25-04:00 America/New_York
  - add "program" and "Program" arguments; this allows text generation
    like "CoolClient is license..." instead of "This software is..."
    (thanks, Van de Bugger)
  0.104000  2021-06-25 21:56:24-04:00 America/New_York (TRIAL RELEASE)
  - documentation tweaks about non-core licenses and the use of
    guess_license_from_pod
  0.103015  2021-06-25 21:54:19-04:00 America/New_York (TRIAL RELEASE)
  - update the text of Artistic License 1.0 to match upstream source
  - when using Apache 2.0, replace year and copyright holder
  - improve guessing at CC0
  - update author contact info
* Thu Dec  6 2018 Stephan Kulow <coolo@suse.com>
- updated to 0.103014
  see /usr/share/doc/packages/perl-Software-License/Changes
  0.103014  2018-11-27 23:14:43+01:00 Europe/Amsterdam
  - Added SPDX license expression support
* Sat Oct 28 2017 coolo@suse.com
- updated to 0.103013
  see /usr/share/doc/packages/perl-Software-License/Changes
  0.103013  2017-10-27 17:45:23+02:00 Europe/Amsterdam
  - guess_license_from_pod() now knows about Software::License::CC0_1_0
  - Enable "v" as a version word
  - Improve FreeBSD (2-Clause) phrases.
  - Added EUPL v1.1 and v1.2
* Thu May  5 2016 coolo@suse.com
- updated to 0.103012
  see /usr/share/doc/packages/perl-Software-License/Changes
  0.103012  2016-04-23 14:57:59+01:00 Europe/London
  - consider license names without parentheses when scanning text for
    license (thanks, charsbar!)
  - when scanning text for license, put known substrings inside \b..\b
    (thanks, charsbar!)
* Tue Jan 19 2016 coolo@suse.com
- updated to 0.103011
  see /usr/share/doc/packages/perl-Software-License/Changes
  0.103011  2016-01-16 21:27:53-05:00 America/New_York
  - do not load Sub::Install, since it isn't used!
  - eliminate superfluous FULL STOP characters (".")
* Tue May 27 2014 ncutler@suse.com
- updated to 0.103010
  - fix guess_license_from_pod's return on GPL licenses
    (thanks, Syohei YOSHIDA!)
* Mon Mar 10 2014 coolo@suse.com
- updated to 0.103009
  - Updated FSF mailing address in license text for GFDL versions 1.2,
    GPL versions 1 & 2, and LGPL 2.1
* Mon Nov 25 2013 coolo@suse.com
- updated to 0.103008
  - faster!  thanks, charsbar!
  - add new_from_short_name to LicenseUtils for spdx.org-style
    short names; thanks, Dominique Dumont!
  - avoid double trailing dots in expanded licenses; thanks, Dave Rolsky!
  - fix some errors in (3-clause) BSD license text
  - the 2-clause BSD ("FreeBSD") license no longer incorrectly puts
    "FreeBSD" as the owner in the license full text
    fix regex to allow guessing from meta things like perl_5 (thanks,
    Kevin Dawson!)
    replace 'use base' with 'use parent'
    try harder to identify licenses from all installed License classes;
    this is an @INC-scanning change, so be vigilant; thanks, David
    Golden!
* Tue Jun  4 2013 coolo@suse.com
- updated to 0.103005
  add MPL 2.0 (thanks, Bernhard Amann)
- removed Software-License-0.101620-Build_n_Test.patch
* Mon Jan  9 2012 coolo@suse.com
- update to 0.103004
    update FSF's address
    use more direct links to GFDL 1.2 and 1.3
    add GFDL 1.3
    re-import text of GPL 1 and 2 to get new FSF address (RT #67795)
    improve method dependency chains (thanks, Flavio Poletti)
    add Custom license to stick the whole license in a file
  - - still probably a bit experiemental -- thanks, Flavio Poletti
    add note to Artistic 2 that it's GPL compatible
* Fri Dec 10 2010 jw@novell.com
- updated to 0.102340
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Aug  3 2010 chris@computersalat.de
- initial package 0.101620
  * created by cpanspec 1.78
